Show / Hide Table of Contents

# Class KickAuditLogData

Contains a piece of audit log data related to a kick.

##### Inheritance

System.Object
KickAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class KickAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### Target

Gets the user that was kicked.

##### Declaration

    public IUser Target { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user object representing the kicked user.

### Implements

IAuditLogData